> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loyalty.dog/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Image Of Pass Template Of Type And Resolution

> ### Delete Image of Pass Template of Type and Resolution

Deletes an image of a specific type and resolution associated with a pass template.

**Parameters:**
- `type` (PassImageType): The type of the image.
- `resolution` (PassImageResolution): The resolution of the image.
- `template` (Template): The pass template.

**Returns:**
- `Response`: Standard HTTP response indicating success or failure.



## OpenAPI

````yaml /openapi.public.json delete /v2/templates/{templateId}/images/{type}/{resolution}
openapi: 3.1.0
info:
  title: LoyaltyDog Public API
  description: >-
    Merchant-product REST API. Authenticate with Authorization: Bearer. This is
    the frozen public schema (not the full dashboard/admin OpenAPI).
  termsOfService: https://loyalty.dog/loyalty-program-terms-service
  contact:
    name: LoyaltyDog Support
    url: https://loyalty.dog/contact-us
    email: support@loyalty.dog
  version: 1.0.1
servers:
  - url: https://api.loyalty.dog
    description: Production
security:
  - bearerAuth: []
paths:
  /v2/templates/{templateId}/images/{type}/{resolution}:
    delete:
      tags:
        - Pass Templates > Images
      summary: Delete Image Of Pass Template Of Type And Resolution
      description: >-
        ### Delete Image of Pass Template of Type and Resolution


        Deletes an image of a specific type and resolution associated with a
        pass template.


        **Parameters:**

        - `type` (PassImageType): The type of the image.

        - `resolution` (PassImageResolution): The resolution of the image.

        - `template` (Template): The pass template.


        **Returns:**

        - `Response`: Standard HTTP response indicating success or failure.
      operationId: >-
        delete_image_of_pass_template_of_type_and_resolution_v2_templates__templateId__images__type___resolution__delete
      parameters:
        - name: type
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/PassImageType'
        - name: resolution
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/PassImageResolution'
        - name: templateId
          in: path
          required: true
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: string
            title: Templateid
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PassImageType:
      type: string
      enum:
        - logo
        - icon
        - strip
        - footer
        - background
        - thumbnail
      title: PassImageType
      description: |-
        Supported images
            Boarding pass:  logo, icon, footer
            Coupon:         logo, icon, strip
            Event ticket:   logo, icon, strip, background, thumbnail
                            If you specify a strip image, do not specify a background image or a thumbnail.
            Generic:        logo, icon, thumbnail
            Store card:     logo, icon, strip

        Args:
            StrEnum (_type_): _description_
    PassImageResolution:
      type: string
      enum:
        - normal
        - high
        - ultra
      title: PassImageResolution
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT access token obtained from POST /v2/token.

````